CompositeEditor (Grails 5.2.3)

Package: org.grails.web.binding

## [Java] Class CompositeEditor

- org.grails.web.binding.CompositeEditor

-     public class CompositeEditor
      extends java.beans.PropertyEditorSupport

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CompositeEditor (java.beans.PropertyEditor editors)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List<java.beans.PropertyEditor>` | `getPropertyEditors()`
    `` | `public void` | `setAsText(java.lang.String s)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.beans.PropertyEditorSupport` | `java.beans.PropertyEditorSupport#getAsText(), java.beans.PropertyEditorSupport#getTags(), java.beans.PropertyEditorSupport#setSource(java.lang.Object), java.beans.PropertyEditorSupport#isPaintable(), java.beans.PropertyEditorSupport#paintValue(java.awt.Graphics, java.awt.Rectangle), java.beans.PropertyEditorSupport#getJavaInitializationString(), java.beans.PropertyEditorSupport#setAsText(java.lang.String), java.beans.PropertyEditorSupport#supportsCustomEditor(), java.beans.PropertyEditorSupport#firePropertyChange(), java.beans.PropertyEditorSupport#addPropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#removePropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#getCustomEditor(), java.beans.PropertyEditorSupport#getSource(), java.beans.PropertyEditorSupport#getValue(), java.beans.PropertyEditorSupport#setValue(java.lang.Object), java.beans.PropertyEditorSupport#wait(long, int), java.beans.PropertyEditorSupport#wait(long), java.beans.PropertyEditorSupport#wait(), java.beans.PropertyEditorSupport#equals(java.lang.Object), java.beans.PropertyEditorSupport#toString(), java.beans.PropertyEditorSupport#hashCode(), java.beans.PropertyEditorSupport#getClass(), java.beans.PropertyEditorSupport#notify(), java.beans.PropertyEditorSupport#notifyAll()`

- - ### Constructor Detail

    - #### public CompositeEditor(java.beans.PropertyEditor editors)

  - ### Method Detail

    - #### public java.util.List<java.beans.PropertyEditor> getPropertyEditors()

    - #### @java.lang.Override public void setAsText(java.lang.String s)